ModifierQueryNode.Modifier (Lucene 10.5.1 queryparser API)
Description: declaration: package: org.apache.lucene.queryparser.flexible.core.nodes, class: ModifierQueryNode, enum: Modifier

Package org.apache.lucene.queryparser.flexible.core.nodes

# Enum Class ModifierQueryNode.Modifier

java.lang.Object
java.lang.Enum<ModifierQueryNode.Modifier>
org.apache.lucene.queryparser.flexible.core.nodes.ModifierQueryNode.Modifier

All Implemented Interfaces:
  `Serializable`, `Comparable<ModifierQueryNode.Modifier>`, `Constable`

Enclosing class:
  `ModifierQueryNode`

public static enum ModifierQueryNode.Modifier extends Enum<ModifierQueryNode.Modifier>
Modifier type: such as required (REQ), prohibited (NOT)

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `MOD_NONE`
  `MOD_NOT`
  `MOD_REQ`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toDigitString()`
  `String`
  `toLargeString()`
  `String`
  `toString()`
  `static ModifierQueryNode.Modifier`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ModifierQueryNode.Modifier[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### MOD_NONE

    public static final ModifierQueryNode.Modifier MOD_NONE

  - ### MOD_NOT

    public static final ModifierQueryNode.Modifier MOD_NOT

  - ### MOD_REQ

    public static final ModifierQueryNode.Modifier MOD_REQ

- ## Method Details

  - ### values

    public static ModifierQueryNode.Modifier[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ModifierQueryNode.Modifier valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<ModifierQueryNode.Modifier>`

  - ### toDigitString

    public String toDigitString()

  - ### toLargeString

    public String toLargeString()